MGASA-2021-0181 - Updated webkit2 packages fix security vulnerabilities

Publication date: 12 Apr 2021
URL: https://advisories.mageia.org/MGASA-2021-0181.html
Type: security
Affected Mageia releases: 7, 8
CVE: CVE-2020-9947,
     CVE-2020-27918,
     CVE-2020-29623,
     CVE-2021-1765,
     CVE-2021-1788,
     CVE-2021-1844,
     CVE-2021-1789,
     CVE-2021-1799,
     CVE-2021-1801,
     CVE-2021-1870,
     CVE-2021-1871

The webkit2 package has been updated to version 2.32.0, fixing several security
issues and other bugs.

References:
- https://bugs.mageia.org/show_bug.cgi?id=28671
- https://webkitgtk.org/security/WSA-2021-0002.html
- https://webkitgtk.org/security/WSA-2021-0003.html
- https://webkitgtk.org/2021/03/18/webkitgtk2.30.6-released.html
- https://webkitgtk.org/2021/03/26/webkitgtk2.32.0-released.html
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-9947
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-27918
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-29623
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1765
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1788
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1844
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1789
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1799
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1801
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1870
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-1871

SRPMS:
- 7/core/webkit2-2.32.0-1.mga7
- 8/core/webkit2-2.32.0-1.mga8